@echo off
rem Auto Backup Script
title Web Automatic Backup

rem Specify backup folders and destination using the variables below:

set Path=C:\Backup\
set location=C:\xampp\htdocs\msp
set logloc=C:\Backup\Logs\

::: Begin set date

for /f "tokens=1-4 delims=/-. " %%i in ('date /t') do (call :set_date %%i %%j %%k %%l)
goto :end_set_date

:set_date
if "%1:~0,1%" gtr "9" shift
for /f "skip=1 tokens=2-4 delims=(-)" %%m in ('echo,^|date') do (set %%m=%1&set %%n=%2&set %%o=%3)
goto :eof

:end_set_date
::: End set date

set label=Backup %dd%.%mm%.%yy%
set BackupPath=%Path%%label%
set log=%logloc%%dd%.%mm%.%yy%.txt

echo ********************************************************
echo 			Backup files...
echo ********************************************************

mkdir "%Path%"
mkdir "%logloc%"
echo Backup on %date%>>%log%
mkdir "%BackupPath%"
xcopy "%location%" "%BackupPath%" /e /h>>%log%

echo ********************************************************
echo 			Completed
echo ********************************************************

exit